Loading...
Searching...
No Matches
NTEventLogAppender.hh File Reference
`#include <windows.h>`
`#include <log4shib/Portability.hh>`
`#include <log4shib/LayoutAppender.hh>`
Include dependency graph for NTEventLogAppender.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4shib::NTEventLogAppender
| NTEventLogAppender is an Appender that sends LoggingEvents to the Windows event log. More...

## Namespaces

namespace | log4shib
| The top level namespace for all 'Log for C++' types and classes.

## Macros

#define | NOGDI
#define | LOG4SHIB_UNDEFINE_NOGDI
#define | WIN32_LEAN_AND_MEAN
#define | LOG4SHIB_UNDEFINE_WIN32_LEAN_AND_MEAN

## Macro Definition Documentation

## LOG4SHIB_UNDEFINE_NOGDI

#define LOG4SHIB_UNDEFINE_NOGDI

## LOG4SHIB_UNDEFINE_WIN32_LEAN_AND_MEAN

#define LOG4SHIB_UNDEFINE_WIN32_LEAN_AND_MEAN

## NOGDI

#define NOGDI

## WIN32_LEAN_AND_MEAN

#define WIN32_LEAN_AND_MEAN